## org.biojava.stats.svm
Class SMORegressionTrainer

    java.lang.Object
      org.biojava.stats.svm.SMORegressionTrainer

    public class SMORegressionTrainer

extends Object

Train a regression support vector machine using the Sequential Minimal Optimization algorithm. See "A Tutorial on Support Vector Regression" by Smola and Scholkopf.

WARNING: This doesn't work right now -- use and fix (both at own risk...)

Author:
  Matthew Pocock, Thomas Down

Constructor Summary
`SMORegressionTrainer()`

Method Summary
`void` `setC(double C)`
`void` `setEpsilon(double epsilon)`
`void` `trainModel(SVMRegressionModel m, double[] t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMORegressionTrainer

    public SMORegressionTrainer()

Method Detail

### setC

    public void setC(double C)

### setEpsilon

    public void setEpsilon(double epsilon)

### trainModel

    public void trainModel(SVMRegressionModel m,
                           double[] t)